# -*- encoding : utf-8 -*-
	class Public::DataFilesController < ApplicationController
	
	
	layout "public"



	def read
    @data_file = DataFile.find_by_token(params[:token])
		if @data_file.show_yumpu
      
    else
      redirect_to "/"
    end
	end

end
